Description: Substituting old type "test-jar" with classifier "tests".
 Discussed on https://github.com/mtommila/apfloat/issues/13 about
 libapfloat-java, this seems to be a Debian-only issue.
Author: Pierre Gruet <pgt@debian.org>
Origin: https://sources.debian.org/src/libapfloat-java/1.10.1-1/debian/patches/managing_test_dependency.patch
Forwarded: not-needed
Last-Update: 2022-06-28

--- a/curator-recipes/pom.xml
+++ b/curator-recipes/pom.xml
@@ -53,7 +53,7 @@
         <dependency>
             <groupId>org.apache.curator</groupId>
             <artifactId>curator-framework</artifactId>
-            <type>test-jar</type>
+            <classifier>tests</classifier>
             <scope>test</scope>
         </dependency>
 
--- a/curator-test-zk35/pom.xml
+++ b/curator-test-zk35/pom.xml
@@ -113,7 +113,7 @@
                     <artifactId>zookeeper</artifactId>
                 </exclusion>
             </exclusions>
-            <type>test-jar</type>
+            <classifier>tests</classifier>
             <scope>test</scope>
         </dependency>
 
@@ -126,7 +126,7 @@
                     <artifactId>zookeeper</artifactId>
                 </exclusion>
             </exclusions>
-            <type>test-jar</type>
+            <classifier>tests</classifier>
             <scope>test</scope>
         </dependency>
 
--- a/pom.xml
+++ b/pom.xml
@@ -396,7 +396,7 @@
             <dependency>
                 <groupId>org.apache.curator</groupId>
                 <artifactId>curator-framework</artifactId>
-                <type>test-jar</type>
+                <classifier>tests</classifier>
                 <version>${project.version}</version>
             </dependency>
 
@@ -410,7 +410,7 @@
                 <groupId>org.apache.curator</groupId>
                 <artifactId>curator-recipes</artifactId>
                 <version>${project.version}</version>
-                <type>test-jar</type>
+                <classifier>tests</classifier>
             </dependency>
 
             <dependency>
